
require( "scripts/style.lua" );

require( "scripts/mainmenu.lua" );
require( "scripts/loadmenu.lua" );
--require( "scripts/savemenu.lua" );
require( "scripts/gamesetup.lua" );
require( "scripts/computerprofile.lua" );
require( "scripts/playerprofile.lua" );
require( "scripts/rules.lua" );
require( "scripts/options.lua" );
require( "scripts/results.lua" );
require( "scripts/tooltip.lua" );
require( "scripts/loadconfirm.lua" );
require( "scripts/loaddeleteconfirm.lua" );


MakeDialog
{
	MenuRoot
	{
		-- Name the modal dialog
		name="menus",
		x= 0,
		y = 0,
		w = kMax,
		h = kMax,

		fit = true;

		Bitmap
		{
			name = "menu_bg",
			image = 'menu/bg_red',
			x = 0,
			y = 0
		},

		Group(mainmenu_group);
		
		Group(setupmenu_group);
		Group(computerprofile_group);
		Group(playerprofile_group);
		
		Group(loadmenu_group);
		Group(loadconfirm_group);
		Group(loaddeleteconfirm_group);

		Group(rules_group);
		Group(menuoptions_group);
		
		Group(results_group);

		-- tooltip
		Group(tooltip_group);
	}
}